### Method

# GLib String vprintf

since: 2.14

#### Declaration [src]

    void
    g_string_vprintf (
      GString* string,
      const gchar* format,
      va_list args
    )

#### Description [src]

Writes a formatted string into a `GString`. This function is similar to `g_string_printf()` except that the arguments to the format string are passed as a va_list.

Available since: 2.14

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  The string format. See the `printf()` documentation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  The parameters to insert into the format string.